Subject: bug#38257: Acknowledgement (27.0.50; ERC does not match or highlight nick surrounded by parens)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Nov 2019 15:03:17 +0100

Amin Bandali <[email-masked]> writes:

> * lisp/erc/erc-{button,match}.el (erc-{button,match}-syntax-table):
> Omit (, ), and '; as they're not valid nick characters, per RFC 2812
> section 2.3.1.  This enables correct matching/highlighting of nicks
> when they’re surrounded by parens, like (nick), and when adjacent to
> an apostrophy, like nick's.

I haven't tried this patch, but doesn't this syntax table apply to all
buttons in erc, including URLs?  So an URL like
http://foo.bar/zot'foo would no longer be recognised properly?  (I'm not
sure that it should, to be honest...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no